/**
 * Generate a jwk or key pair
 * @param {object} json
 * @param {string} alg
 * @param {object=} options
 */
export declare function generateKey(alg: any, {modulusLength, publicExponent, usages, extractable}?: {
    modulusLength?: number;
    publicExponent?: Uint8Array;
    usages?: string[];
    extractable?: boolean;
}): any;
/**
 * Import a jwk from a JSON object
 * @param {object} json
 * @param {object=} options
 * @param {string} [options.alg=null] Defaults to alg in json
 * @param {boolean} [options.extractable=false]
 * @param {string[]} [options.usages=null] Defaults to key_ops in json
 */
export declare function importKey(json: any, {alg, extractable, usages}?: {
    alg?: any;
    extractable?: boolean;
    usages?: any;
}): any;
/**
 * Export a jwk as a JSON object
 * @param key
 */
export declare function exportKey(key: any): any;
